commit 3b8ba41
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Fix static access warning in gnu.getopt
    
    Getopt and Longopt used a static method in PropertyResourceBundle which
    was defined in the parent ResourceBundle class. This caused a warning
    and an unnecessary import.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/getopt/Getopt.java
src/gnu/getopt/LongOpt.java

commit 51d7423
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Do .pro and .properties file copying in compile not jar
    
    So that tests work on a clean build and compile actually compiles
    working code.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit 56beace
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Improve top level javadoc
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Pair.java
src/gnu/prolog/database/PredicateListener.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/database/package-info.java
src/gnu/prolog/gui/package-info.java
src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/parser/package-info.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/NumericTerm.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java

commit 62d63a5
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Move io related classes from vm to io package
    
    And improve some top level javadoc.
    
    At some later point Environment will need further refactoring to remove
    io related stuff from it.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/BinaryPrologStream.java
src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/PrologStream.java
src/gnu/prolog/io/RandomAccessFileReader.java
src/gnu/prolog/io/RandomAccessFileWriter.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TextInputPrologStream.java
src/gnu/prolog/io/TextOutputPrologStream.java
src/gnu/prolog/io/package-info.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/test/package-info.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/buildins/datetime/Predicate_format_time.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit acb6276
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Improve top level javadoc
    
    Add lots of 'what this file is for' type documentation.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Installable.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/package-info.java
src/gnu/prolog/vm/package-info.java

commit b6e0c7c
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Fix javadoc error in gnu.getopt.Getopt
    
    @param tag reffering to argument (longid) which no longer exists
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/getopt/Getopt.java

commit db0dac2
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Use an enum rather than int to store Operator specifiers
    
    Resulting in some de-duplication of code and an increase in type safety.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java

commit 403de02
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Rename debian package from libgnuprologjava-java to libgnuprolog-java
    
    At Matthew Johnson's suggestion: it is silly to have java in the package
    name twice.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
debian/changelog
debian/control
debian/libgnuprolog-java.doc-base.manual
debian/libgnuprolog-java.docs
debian/libgnuprolog-java.info
debian/libgnuprolog-java.javadoc
debian/libgnuprolog-java.jlibs
debian/libgnuprologjava-java.doc-base.manual
debian/libgnuprologjava-java.docs
debian/libgnuprologjava-java.info
debian/libgnuprologjava-java.javadoc
debian/libgnuprologjava-java.jlibs

commit 54359db
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Fix javadoc errors
    
    Frequently in the simplest way possible without adding actual proper
    documentation...
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologCodeListener.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologCollectionIterator.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_value.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_dialog.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_save.java
src/gnu/prolog/vm/buildins/list/Predicate_append.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/list/Predicate_predsort.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid.java
src/gnu/prolog/vm/interpreter/EnterBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java

commit 8416c7e
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Fix line endings
    
    find . -type f -exec fromdos {} \;
    
    It was becoming irritating after I turned core.autocrlf off because it
    was causing problems.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.externalToolBuilders/gnuprologjava.launch
src/gnu/prolog/database/AbstractPrologTextLoaderListener.java
src/gnu/prolog/vm/EnvInitializer.java
src/gnu/prolog/vm/PrologHalt.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_open.java
src/gnu/prolog/vm/buildins/dialogs/TermFileFilter.java
src/gnu/prolog/vm/buildins/ext.datetime.pro
src/gnu/prolog/vm/buildins/ext.dialogs.pro
src/gnu/prolog/vm/buildins/ext.java.pro
src/gnu/prolog/vm/buildins/ext.uuid.pro
src/gnu/prolog/vm/interpreter/TracerEventListener.java
test/vanilla/gnuprolog_v.pl
test/vanilla/gnuprologjava.pl
test/vanilla/notes

commit 8d6ee36
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Make test target depend on compile rather than build
    
    To stop recompiling the documentation every time we run a test.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit a8b0844
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Update readme, NEWS and version for 0.2.5 release
    
    and remove unused docs/append.txt
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

NEWS.txt
docs/append.txt
docs/readme.txt
src/gnu/prolog/version.properties

commit 378ce1c
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Fix .deb packaging and include all docs
    
    Used lintian -i -I --show-overrides gnuprologjava_0.2.5-1_i386.changes
    to find packaging bugs and fixed them and added all the documentation.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
debian/changelog
debian/control
debian/copyright
debian/libgnuprologjava-java.doc-base.manual
debian/libgnuprologjava-java.docs
debian/libgnuprologjava-java.info
debian/source/format
docs/manual.texinfo

commit 02f5f34
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-18

    Add working dist-deb target to build.xml
    
    dist-deb uses dist-src to get a distributable source and then unzips it,
    removes gnu.getopt and runs dpkg-buildpackage -k${dist.keyid} on it.
    
    Add a build dependency on gnu.getopt and add the gnu.getopt jar to the
    classpath in debian/rules
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>
    
    Conflicts:
    
    	build.xml

build.xml
debian/control
debian/rules

commit c595b38
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-17

    Draft debian folder to use to make .deb packages
    
    Created using the jh_makepkg command from javahelper and then fixing and
    adding to the output.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

debian/changelog
debian/compat
debian/control
debian/copyright
debian/libgnuprologjava-java.javadoc
debian/libgnuprologjava-java.jlibs
debian/rules

commit fc2935b
Merge: 66c6d4c c32dd77
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-15

    Merge branch '0.2.5', remote branch 'origin/0.2.5' into 0.2.5

commit 66c6d4c
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-15

    Fix javadoc errors
    
    For example use of @return in a constructor and @throw rather than
    @throws.
    
    Fix javadoc by using fully qualified names in package-info
    
    Javadoc does not handle @link to classes in the same package
    automatically and so a fully qualified link is required.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/package-info.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/package-info.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Installable.java
src/gnu/prolog/vm/PrologCollectionIterator.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/interpreter/instruction/IAllocate.java
src/gnu/prolog/vm/interpreter/instruction/ICall.java
src/gnu/prolog/vm/interpreter/instruction/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/instruction/ICreateVariable.java
src/gnu/prolog/vm/interpreter/instruction/ICut.java
src/gnu/prolog/vm/interpreter/instruction/IDup.java
src/gnu/prolog/vm/interpreter/instruction/IFail.java
src/gnu/prolog/vm/interpreter/instruction/IJump.java
src/gnu/prolog/vm/interpreter/instruction/IPop.java
src/gnu/prolog/vm/interpreter/instruction/IPushArgument.java
src/gnu/prolog/vm/interpreter/instruction/IPushConstant.java
src/gnu/prolog/vm/interpreter/instruction/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IRestoreState.java
src/gnu/prolog/vm/interpreter/instruction/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IReturn.java
src/gnu/prolog/vm/interpreter/instruction/ISaveCut.java
src/gnu/prolog/vm/interpreter/instruction/ISaveState.java
src/gnu/prolog/vm/interpreter/instruction/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IThrow.java
src/gnu/prolog/vm/interpreter/instruction/ITrue.java
src/gnu/prolog/vm/interpreter/instruction/ITrustMe.java
src/gnu/prolog/vm/interpreter/instruction/ITryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IUnify.java
src/gnu/prolog/vm/interpreter/package-info.java

commit c32dd77
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-15

    Fix javadoc errors
    
    For example use of @return in a constructor and @throw rather than
    @throws.

src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Installable.java
src/gnu/prolog/vm/PrologCollectionIterator.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/interpreter/instruction/IAllocate.java
src/gnu/prolog/vm/interpreter/instruction/ICall.java
src/gnu/prolog/vm/interpreter/instruction/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/instruction/ICreateVariable.java
src/gnu/prolog/vm/interpreter/instruction/ICut.java
src/gnu/prolog/vm/interpreter/instruction/IDup.java
src/gnu/prolog/vm/interpreter/instruction/IFail.java
src/gnu/prolog/vm/interpreter/instruction/IJump.java
src/gnu/prolog/vm/interpreter/instruction/IPop.java
src/gnu/prolog/vm/interpreter/instruction/IPushArgument.java
src/gnu/prolog/vm/interpreter/instruction/IPushConstant.java
src/gnu/prolog/vm/interpreter/instruction/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IRestoreState.java
src/gnu/prolog/vm/interpreter/instruction/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IReturn.java
src/gnu/prolog/vm/interpreter/instruction/ISaveCut.java
src/gnu/prolog/vm/interpreter/instruction/ISaveState.java
src/gnu/prolog/vm/interpreter/instruction/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IThrow.java
src/gnu/prolog/vm/interpreter/instruction/ITrue.java
src/gnu/prolog/vm/interpreter/instruction/ITrustMe.java
src/gnu/prolog/vm/interpreter/instruction/ITryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IUnify.java

commit d5cab72
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-15

    Update NEWS.txt and version.properties to beta
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

NEWS.txt
src/gnu/prolog/version.properties

commit d9f8c19
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-15

    Add links to the Adding more Prolog functionality manual section
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

docs/manual.texinfo

commit fc75c53
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-13

    PrologException: handle evaluationError and improve syntaxError
    
    Add an evaluationError(AtomTerm) method to be used by Evaluate so that
    some of PrologException's internal representation can be hidden from
    other classes.
    
    Improve syntaxError(*) methods so that they give more details where
    possible.
    
    Catch a ParseException rather than an IOException so that we can do a
    far better syntaxError.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/TextInputPrologStream.java

commit d4e5913
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-12

    Use an enum to store the Predicate type rather than an int
    
    This gives us type safety and encapsulates it far more neatly.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java

commit 92dd8f3
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-12

    Add section on extending Prolog
    
    Draft section lacking link.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

docs/manual.texinfo

commit e1e87e5
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-11

    Build the manual when building docs and distribute it
    
    Add manual, manual-html and manual-info targets and make dist copy the
    manual files.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit 740c1f0
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-10

    Add ConstructingTerms, Installation and Extension sections
    
    and update Setup
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

docs/manual.texinfo

commit 87ade7d
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-10

    Add NumericTerm and abstract class to encapsulate numbers
    
    Is extended by FloatTerm and IntegerTerm and allows easier matching
    based on types.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/NumericTerm.java

commit 5759266
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-08

    First draft of Overview and Using the API sections of manual
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

docs/manual.texinfo

commit 1ba83cb
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-08

    Simplify Interpreter API by adding runOnce(Term) method
    
    This means that in the common case where the user only wants to run a
    goal once and doesn't care about any other solutions then they only need
    to make one atomic method call rather than having to make 2 or
    conditionally 3 method calls.
    
    Use this new method in MentalArithmetic as it is neater and fix a bug in
    mentalarithmetic.pro where we could multiply by 1.
    
    Clean up Interpereter a bit and add more javadoc by creating and
    constructor for Goal (Goal(Term goal)) and making Goal.goal private with
    a Term Goal.getGoal() method. Encapsulate identical uses of
    IllegalStateException into a new Interpreter.Stopped class.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/demo/mentalarithmetic/mentalarithmetic.pro
src/gnu/prolog/vm/Interpreter.java

commit e8dae58
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-03

    Add skeleton manual
    
    It just has chapter headings at the moment but it works and so can be
    fleshed out.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

docs/fdl.texinfo
docs/manual.texinfo
docs/version.texinfo

commit 169bbc0
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-03

    Import gnu.getopt version 1.0.13
    
    GNU getopt's java port is quite small and so importing the project which
    has not changed in 4 years is fairly safe and removes the external
    dependency on GNU getopt.
    
    It was downloaded from:
    http://www.urbanophile.com/~arenn/hacking/download.html specifically:
    http://www.urbanophile.com/~arenn/hacking/getopt/java-getopt-1.0.13.tar.gz
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.classpath
build.xml
src/gnu/getopt/COPYING.LIB
src/gnu/getopt/ChangeLog
src/gnu/getopt/Getopt.class
src/gnu/getopt/Getopt.java
src/gnu/getopt/GetoptDemo.class
src/gnu/getopt/GetoptDemo.java
src/gnu/getopt/LANGUAGES
src/gnu/getopt/LongOpt.class
src/gnu/getopt/LongOpt.java
src/gnu/getopt/Makefile
src/gnu/getopt/MessagesBundle.properties
src/gnu/getopt/MessagesBundle_cs.properties
src/gnu/getopt/MessagesBundle_de.properties
src/gnu/getopt/MessagesBundle_es.properties
src/gnu/getopt/MessagesBundle_fr.properties
src/gnu/getopt/MessagesBundle_hu.properties
src/gnu/getopt/MessagesBundle_it.properties
src/gnu/getopt/MessagesBundle_ja.properties
src/gnu/getopt/MessagesBundle_nl.properties
src/gnu/getopt/MessagesBundle_no.properties
src/gnu/getopt/MessagesBundle_pl.properties
src/gnu/getopt/MessagesBundle_ro.properties
src/gnu/getopt/README
src/gnu/getopt/buildx.xml
src/gnu/getopt/gnu.getopt.Getopt.html
src/gnu/getopt/gnu.getopt.LongOpt.html

commit 2b66c25
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Fix use NEWS.txt rather than changes.txt in build.xml
    
    I forgot to save before committing on the previous commit and then
    pushed...
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit 28e149d
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Move changes.txt to NEWS.txt
    
    This is what changes.txt is trying to be, it is not the ChangeLog but
    rather a list of changes which affect users with each release.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

NEWS.txt
changes.txt

commit aabf986
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Deprecate the unused context methods in Interpreter
    
    They are quite dangerous in that they do a String to Object mapping
    which though potentially useful is likely to result in bad code.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Interpreter.java

commit 1fb588a
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Rename setNewPrologFlag to createNewPrologFlag
    
    This clarifies what the operation does somewhat.
    
    Also add some more javadoc and reorder some methods.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Environment.java

commit 21ee884
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Increase the synchronization in Predicate
    
    In search of thread safety (does not solve deadlock problems).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java

commit 42acdfb
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Correct spelling and synchroizaiton of runInitialization(Interpreter)
    
    Unfortunately this synchronization correction still does not fix the
    deadlock issues.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Module.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/buildins/io/Predicate_ensure_loaded.java

commit 75fee26
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-02

    Give {Read,Write}Options a constructor
    
    Both of them require that an OperatorSet be set and so this should be
    specified in their constructor.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/AbstractOptions.java
src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java

commit 00c4274
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-08-01

    Add support for concurrency testing
    
    Allow GoalRunner to run the same target in more than one thread and more
    than once via command line options.
    
    Use this in test-inria and use build.properties properties to configure
    the number of threads and iterations.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.classpath
build.xml
src/gnu/prolog/test/GoalRunner.java

commit 54b178e
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-29

    Add release notes for 0.2.5 alpha
    
    \o/
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

changes.txt

commit ccd9c59
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-29

    More code fixes suggested by sonar
    
    remove unnecessary public modifier from interface methods
    
    remove unused line from TermWriter.
    
    Fix visibility modifiers and make ReturnPoint static in Interpreter.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/vm/HasAtom.java
src/gnu/prolog/vm/HasEnvironment.java
src/gnu/prolog/vm/Interpreter.java

commit e9570de
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-29

    Clean up files generated by testing in ant clean
    
    And fix some of the tests so that they use a consistent extension of
    .tmp for temporary files and fix inriasuite/io/read_term.pl so that the
    file does not have to already exist.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
test/inriasuite/io/read_term.pl
test/vanilla/sec811.pl
test/vanilla/sec812.pl

commit 94ea703
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-29

    Improve randomisation of operator selection in mentalarithmetic
    
    So that it won't ever fail and should provide a more even distribution
    of questions.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/demo/mentalarithmetic/mentalarithmetic.pro

commit 55a522e
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-29

    Make ant compiled java debuggable
    
    This makes setting java.debug=on in the build.properties file result in
    debuggable java (line numbers on stacktraces etc.).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit 228edd3
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-28

    Fixes and improvements based on information from sonar
    
    pom.xml is added to make sonar work and many fixes to many files are
    made on the basis of things which sonar said.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

pom.xml
src/gnu/prolog/Version.java
src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/term/AtomicTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/TracerEvent.java
src/gnu/prolog/vm/interpreter/instruction/ITrustMe.java

commit d59449f
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-28

    Generate ChangeLog from git and update build.xml
    
    Generate the ChangeLog automatically from the git history using a script
    based on the one used by the Ember Worldforge project.
    
    Include the source code of the demo programs in the docs.
    
    Point to the right files for the licence text.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

ChangeLog
build.xml
generate-ChangeLog.sh

commit ad605d1
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-27

    Update javadoc in Predicate_findall
    
    The sole useful result of trying to fix the bug in findall.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java

commit a553b28
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-27

    Make test-inria and test-vanilla ant targets work independently
    
    They needed to have a depends="build" added as otherwise they only
    worked as a dependency of something which also depended on build
    happening first.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit 1f6ad63
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-27

    Remove outdated test suite .cmd files
    
    We have ant tasks now which do a better job (and work on GNU/Linux).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/suite.cmd
test/vanilla.cmd

commit 2ad0695
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-26

    Add public key of the key signing key
    
    The GPG key:
    pub   4096R/A10C2B34 2010-07-26
          Key fingerprint = BEBF A393 37E8 2048 D3B3  28F4 72C9 4F71 A10C
    2B34
    uid                  GNU Prolog for Java (key signing key)
    <info-gnuprologjava@gnu.org>
    sub   4096R/C69491F1 2010-07-26
    
    Is the key signing key for GNU Prolog for Java and will be used to sign
    the GPG keys of developers who are allowed to do releases.
    
    The public key is added to the sources and VCS as this makes it far
    harder to destroy and embeds it in the history of the project and all
    future commit hashes will depend on it.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

key-signing-key.asc

commit 83c786a
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-25

    Use VariableName(String) constructor when cloning
    
    To preserve the name of the variable which is useful when debugging.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/VariableTerm.java

commit 4686268
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-23

    Code cleanup in TermParser
    
    Use the new VariableTerm(String) constructor and generics.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParser.java

commit 0f2dac8
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-23

    Update default file comment
    
    To have me on the copyright list so that I don't have to change in
    manually.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.project
.settings/org.eclipse.jdt.ui.prefs
.settings/org.eclipse.ltk.core.refactoring.prefs
.settings/sf.eclipse.javacc.prefs
src/gnu/prolog/vm/Evaluate.java

commit da306be
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-23

    Javadoc fixes
    
    Many and various.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.settings/org.eclipse.jdt.core.prefs
.settings/org.eclipse.jdt.ui.prefs
src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Pair.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderListener.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_dialog.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/Tracer.java
src/gnu/prolog/vm/interpreter/instruction/ICall.java
src/gnu/prolog/vm/interpreter/instruction/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/instruction/ICut.java
src/gnu/prolog/vm/interpreter/instruction/IPushArgument.java
src/gnu/prolog/vm/interpreter/instruction/IPushConstant.java
src/gnu/prolog/vm/interpreter/instruction/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/ISaveCut.java
src/gnu/prolog/vm/interpreter/instruction/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/ITryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/Instruction.java
src/gnu/prolog/vm/interpreter/instruction/RetryInstruction.java
src/gnu/prolog/vm/interpreter/package-info.java

commit 3084655
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-23

    Fully support double_quotes
    
    Tell the TermParser the Environment so that it can use it when it
    constructs the DoubleQuotesTerm so that the DoubleQuotesTerm can pick
    the correct value to have depending on the value of the double_quotes
    flag at runtime.
    
    This involves adding Environment to the constructors for
    PrologTextLoaderState, TermReader and TermParser.
    
    PrologStream.OpenOptions was given a constructor for the arguments which
    are not intialized by default so that we could ensure that these were
    being set correctly (as they were not being set correctly) some
    redundancy was removed from TextInputPrologStream in the process.
    
    One of the tests in set_prolog_flag was fixed (it was not quoting
    numbers when using them as atoms).
    
    HasEnvironment was created to encapsulate the getEnvironment() method
    used in multiple classes.
    
    DoubleQuotesTerm was fixed to correctly use the switch statement (I had
    forgotten the breaks /o\)
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/term/DoubleQuotesTerm.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/HasEnvironment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
test/inriasuite/set_prolog_flag

commit 9b13806
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-23

    Create a DoubleQuotesTerm in TermParser
    
    WARNING: UNSAFE commit as any use of double quotes in a Prolog file
    currently fails with an IllegalArgumentException as we haven't told
    TermParser where to get the Environment from yet.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParser.java

commit bccd2ae
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-23

    Fix DoubleQuotesTerm to use correct types
    
    DoubleQuotesTerm must allow codesValue and charsValue to be AtomTerms
    (as this is the case when we have an empty list) and so they must have
    the type Term.
    
    Check for null in ChangeableTerm and thow an IllegalArgumentException
    there rather than a NullPointerException later as this is a slightly
    better state of affairs.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/ChangeableTerm.java
src/gnu/prolog/term/DoubleQuotesTerm.java

commit f3e244c
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Add Term which varies value at runtime
    
    As part of adding support for double_quotes add support for terms which
    change their values at runtime with ChangeableTerm and then extend that
    with DoubleQuotesTerm to make a term for use with solving the
    double_quotes problem.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/ChangeableTerm.java
src/gnu/prolog/term/DoubleQuotesTerm.java

commit 5c0e874
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Make Interpreter#environment protected
    
    and use Interpreter#getEnvironment() instead.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/datetime/Predicate_format_time.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/misc/Predicate_current_functor.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/instruction/ICall.java

commit 6bac2b5
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Use Character.MAX_VALUE rather than 0xffff to specify the max char code
    
    And upgrade to TODO that this should be available in a flag.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java

commit c966eec
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Code cleanup on ReaderCharStream
    
    This was at some point generated code which Constantine modified and
    which I have now cleaned up to be more java like and to remove redundant
    code.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/ReaderCharStream.java

commit a57e577
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Move Predicate_compare into termcomparison from misc
    
    As this is the right package for it to be in.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/misc/Predicate_compare.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_compare.java

commit dcc1eaa
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Remove unused local variables
    
    Some of its assignments were also wrong :-).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/io/Predicate_op.java

commit 6800735
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Eliminate redundant install() and unistall() methods
    
    By using an ExecuteOnlyCode abstract class which has an empty method for
    those methods.
    
    This allowed the elimination of install and uninstall from all the
    classes which implemented PrologCode except InterpretedByteCode.
    
    I also removed the redundant javadoc which was copied and pasted around
    it only needs to live in one place which is inside PrologCode.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/ExecuteOnlyCode.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/datetime/DateTimePrologCode.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_stamp.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_value.java
src/gnu/prolog/vm/buildins/datetime/Predicate_format_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_get_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_parse_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_stamp_date_time.java
src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospyall.java
src/gnu/prolog/vm/buildins/debug/Predicate_notrace.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/debug/Predicate_trace.java
src/gnu/prolog/vm/buildins/debug/Predicate_tracing.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_confirm.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_dialog.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_save.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_message.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_prompt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_ensure_loaded.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/java/Predicate_java_classname.java
src/gnu/prolog/vm/buildins/java/Predicate_java_to_string.java
src/gnu/prolog/vm/buildins/list/Predicate_append.java
src/gnu/prolog/vm/buildins/list/Predicate_is_list.java
src/gnu/prolog/vm/buildins/list/Predicate_length.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/list/Predicate_msort.java
src/gnu/prolog/vm/buildins/list/Predicate_predsort.java
src/gnu/prolog/vm/buildins/list/Predicate_sort.java
src/gnu/prolog/vm/buildins/misc/Predicate_compare.java
src/gnu/prolog/vm/buildins/misc/Predicate_current_functor.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/buildins/misc/Predicate_stacktrace.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid3.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid4.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_compare.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_variant.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_version.java
src/gnu/prolog/vm/interpreter/Predicate_call.java

commit 73f4218
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Make Instructions compile again
    
    Fixes imports etc.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/instruction/IAllocate.java
src/gnu/prolog/vm/interpreter/instruction/ICall.java
src/gnu/prolog/vm/interpreter/instruction/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/instruction/ICreateVariable.java
src/gnu/prolog/vm/interpreter/instruction/ICut.java
src/gnu/prolog/vm/interpreter/instruction/IDup.java
src/gnu/prolog/vm/interpreter/instruction/IFail.java
src/gnu/prolog/vm/interpreter/instruction/IJump.java
src/gnu/prolog/vm/interpreter/instruction/IPop.java
src/gnu/prolog/vm/interpreter/instruction/IPushArgument.java
src/gnu/prolog/vm/interpreter/instruction/IPushConstant.java
src/gnu/prolog/vm/interpreter/instruction/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IRestoreState.java
src/gnu/prolog/vm/interpreter/instruction/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IReturn.java
src/gnu/prolog/vm/interpreter/instruction/ISaveCut.java
src/gnu/prolog/vm/interpreter/instruction/ISaveState.java
src/gnu/prolog/vm/interpreter/instruction/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IThrow.java
src/gnu/prolog/vm/interpreter/instruction/ITrue.java
src/gnu/prolog/vm/interpreter/instruction/ITrustMe.java
src/gnu/prolog/vm/interpreter/instruction/ITryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IUnify.java
src/gnu/prolog/vm/interpreter/instruction/Instruction.java
src/gnu/prolog/vm/interpreter/instruction/RetryInstruction.java
src/gnu/prolog/vm/interpreter/package-info.java

commit 7811318
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Split PrologCode into another interface Installable
    
    So that Instruction can also extend Installable.
    
    WARNING: only with the next commit will things compile again.
    
    This commit is UNSAFE.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Installable.java
src/gnu/prolog/vm/PrologCode.java

commit 15ef991
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Move Instruction classes into a separate subpackage
    
    WARNING: this commit leaves the repository in a non-compiling state, the
    next one will go the rest of the way and fix it again.
    
    This commit is UNSAFE.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/RetryInstruction.java
src/gnu/prolog/vm/interpreter/instruction/IAllocate.java
src/gnu/prolog/vm/interpreter/instruction/ICall.java
src/gnu/prolog/vm/interpreter/instruction/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/instruction/ICreateVariable.java
src/gnu/prolog/vm/interpreter/instruction/ICut.java
src/gnu/prolog/vm/interpreter/instruction/IDup.java
src/gnu/prolog/vm/interpreter/instruction/IFail.java
src/gnu/prolog/vm/interpreter/instruction/IJump.java
src/gnu/prolog/vm/interpreter/instruction/IPop.java
src/gnu/prolog/vm/interpreter/instruction/IPushArgument.java
src/gnu/prolog/vm/interpreter/instruction/IPushConstant.java
src/gnu/prolog/vm/interpreter/instruction/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IRestoreState.java
src/gnu/prolog/vm/interpreter/instruction/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IReturn.java
src/gnu/prolog/vm/interpreter/instruction/ISaveCut.java
src/gnu/prolog/vm/interpreter/instruction/ISaveState.java
src/gnu/prolog/vm/interpreter/instruction/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/instruction/IThrow.java
src/gnu/prolog/vm/interpreter/instruction/ITrue.java
src/gnu/prolog/vm/interpreter/instruction/ITrustMe.java
src/gnu/prolog/vm/interpreter/instruction/ITryMeElse.java
src/gnu/prolog/vm/interpreter/instruction/IUnify.java
src/gnu/prolog/vm/interpreter/instruction/Instruction.java
src/gnu/prolog/vm/interpreter/instruction/RetryInstruction.java

commit 25bb4e0
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Deal with some TODOs
    
    One pass through the TODO list removing outdated ones and fixing the
    easy ones.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/io/parser/package-info.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java

commit ec4b2e4
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Use TermWriter#toString(Term) for all Term#toString() methods
    
    TermWriter does it properly.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/term/VariableTerm.java

commit a28d3ba
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Document and comment MentalArithmetic
    
    So that it can be used as documentation.
    
    Also document a couple of things which it uses.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Pair.java
src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/vm/Environment.java

commit 1711789
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Add more tests to findall
    
    Also add some more javadoc to Predicate_findall.
    
    Unfortunately some of the new tests fail however the correct errors are
    being thrown: it is just that they get lost somewhere inside
    InterpretedByteCode (similarly to the unification which gets lost
    causing tests on arg/3 to fail).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
test/inriasuite/findall

commit f9be907
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Documentation and code cleanup
    
    In IntegerTerm store constants as final static ints rather than as
    64*1024 at various different places in the file.
    
    In Term add some documentation as to the purpose of #dereference().
    
    Remove some redundancy in InterpretedByteCode.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java

commit 30f5d59
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Default WriteOptions#declaredVariableNames to true
    
    So that they get displayed more frequently.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/WriteOptions.java

commit fc7a4a2
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-21

    Fix MentalArithmetic to make the first working version
    
    Use System.in rather than the console (we don't need Console features
    anyway).
    
    Correctly construct the question using Terms so that we can get hold of
    the answers later.
    
    Use .dereference() rather than .value to extract the value from a
    VariableTerm.
    
    Use TermWriter.toString(Term) rather than Term.toString() to get a
    pretty printed list. TODO: make Term.toString() use
    TermWriter.toString(Term).
    
    Get the .pro file in a slightly more elegant manner.
    
    Fix the .pro file to stop /0 errors and to prod the probabilities
    slightly.
    
    Give VariableTerm a (String name) constructor.
    
    Comment out the undo(0) in Interpreter#stop(Goal) as this destroys
    information. Tests still pass so I think this is an ok thing to do...
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/demo/mentalarithmetic/mentalarithmetic.pro
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/vm/Interpreter.java

commit a282dd1
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-19

    Remove InterpretedCode as unused
    
    It is an old version of InterpretedByteCode and so should be removed to
    prevent confusion.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/interpreter/InterpretedCode.java

commit 62d4122
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-19

    Fail gracefully if the compiler does not support ensure_loaded
    
    Make inriasuite fail gracefully when the compiler does not support
    ensure_loaded by using a catch statement.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/inriasuite.pl

commit 131acd9
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-19

    Remove use of write(3) from call to remove side effects
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/call

commit 02ba30e
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-19

    Use a Map rather than two lists in Predicate_call
    
    Because using two lists and trying to enforce that their indicies are
    identical is not pretty.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/interpreter/Predicate_call.java

commit ce3f27d
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-19

    Make error_is_not do what it says it does
    
    It was not using the Error argument and so only ever did
    error_is_not(existence_error,Thrown) even when the user might expect it
    to do something else.
    
    Incidentally this means that now all Vanilla tests pass! :-)
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla/utils_so.pl

commit 1ea9cb7
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-19

    Mass find and replace spelling corrections.
    
    Because the large number of misspellings which had propagated was
    becoming irritating.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/Predicate_call.java

commit a873d4a
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-16

    Fix bug in at_end_of_stream/1
    
    TextInputPrologStream#getEndOfStreamState() was an unnecessary function
    which was unfortunately completely wrong and always set endOfStreamState
    to 'at' because termReader.ready() always returns false (I checked the
    source) because it can never guarentee that calls to read will not
    block. That is also not the question that termReader.ready() was trying
    to answer.
    
    The superclass method provides the correct answer.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
test/inriasuite/io/at_end_of_stream

commit 80767d6
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-16

    Use an enum to store the different values of the double_quotes flag
    
    And add a HasAtom interface to use for such enums.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/HasAtom.java

commit b4d493e
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-16

    Fix TermParser.jj so that the code it produces compiles
    
    So the code it produces is non terminating but this commit makes it
    compile which is a start.
    
    Mainly this refers to the change to using TermConstants.
    
    ParseError.java was removed as it is never used and hasn't been for a
    very long time.
    
    Comment out an unused section from buildins.pro
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/ParseError.java
src/gnu/prolog/vm/buildins/buildins.pro

commit 2c519f6
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-16

    Add note to ReaderCharStream that we need to add unicode support here
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/ReaderCharStream.java

commit f1ef85d
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-16

    Add regenerate-parser to build.xml
    
    This should NOT be run at the moment as changes will have to be
    reverted: it is there to help with the process of fixing the bug which
    means that it can't be run namely that regenerating the parser results
    in a non-terminating parser.
    Also reorder tests to that inria goes first and load the
    build.properties file so that we can have developer local build
    properties.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml

commit 3f6e323
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-16

    remove build.properties from VC as they should not be in there
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.properties

commit 54c717e
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-15

    Improve testing
    
    In arg add a minimal test case for the current failure.
    
    In irinasuite switch to only using set_prolog_flag when we need to not
    every time.
    
    In at_end_of_stream use more parentheses to make it absolutely clear
    what is happening.
    
    In number_chars switch to a more obvious error in the input characters
    so that parsers which are generous enough to parse '3 ' as 3 don't get
    penalised.
    
    In set_prolog_flag add more tests on the currently failing double_quotes
    flag.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/arg
test/inriasuite/inriasuite.pl
test/inriasuite/io/at_end_of_stream
test/inriasuite/number_chars
test/inriasuite/set_prolog_flag

commit 268146f
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-15

    Add support for arrays to CompoundTerm.getList
    
    Also reorder methods so that the getList methods are together.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/CompoundTerm.java

commit 535252d
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-15

    Rename AtomTerm.getChar(char) to AtomTerm.get(char)
    
    All Term classes have static get(Type) methods for the types they
    support and the redundant encoding of the type in the method name adds
    nothing.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/datetime/Predicate_format_time.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java

commit e108669
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-15

    Spelling, renaming and comment fixes
    
    In TermWriter rename defaultWrteOptions to defaultWriteOptions
    
    In Environment rename a setPrologFlag function to setNewPrologFlag as it
    is used to create new flags rather than to update the value of an
    existing flag.
    
    In package-info add some documentation.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/package-info.java

commit 2aa88c3
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-15

    Move issetup completely inside setup()
    
    Improves encapsulation etc.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java

commit 34462a5
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Remove unused code from InterpretedByteCode
    
    There were unnecessary casts to variables which were not then
    subsequently read. These are removed.
    
    There was also some nasty variable reuse.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/interpreter/InterpretedByteCode.java

commit 000e7e9
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Deduplicate code in InterpretedByteCode
    
    InterpretedByteCode had two methods getInstruction(int) and toString()
    which both used a long section of duplicated code (I checked using diff)
    and so I consolidated that duplicated section into one private
    instructionToString(int,int) method.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java

commit f554896
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Reorder the tests in Predicate_clause to throw an error rather than fail
    
    Reorder the tests so that it tests whether the body is callable before
    trying to see whether the head is defined as this way we throw a useful
    error message before we just return FAIL in some cases (and this way we
    pass the test in clause).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/database/Predicate_clause.java

commit ab79222
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Temp files should live in the same directory as the files which create them
    
    Temporary files created by io/* should be created in io/ not in the root of the inria suite.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/inriasuite.pl
test/inriasuite/io/at_end_of_stream
test/inriasuite/io/char_conversion.pl

commit bb44b5b
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Improve debugging information
    
    Make more useful information available if something goes wrong.
    Previously there were far too many situations where no error was given
    or it was just 'system_error' which tells you nothing about what went
    wrong and makes debugging quite hard.
    
    Instead we now store useful information in the implementation defined
    part of the Prolog error(R, I) format.
    Modify the InriaSuite to print out this information.
    
    Also add a very basic debugging framework to PrologStream and its
    subclasses as quite a lot of the errors a user sees come via them and
    they can add useful information such as which line and column caused the
    error.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
test/inriasuite/inriasuite.pl

commit b6fbe67
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Rename variables in Interpreter.ReturnPoint to prevent hiding
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Interpreter.java

commit 1ad4f77
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Implement the use of the CharConversionTable for read_term
    
    And improve the testing of this slightly.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
test/inriasuite/io/char_conversion
test/inriasuite/io/char_conversion.pl

commit ef07bd7
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-13

    Use stricter types to catch compile errors at compile time
    
    Term was being used where it was only valid to use CompoundTerm and then
    type checking was being done at runtime using instanceof and
    IllegalArgumentException which is just foul.
    
    API changes:
    CompoundTermTag.get now requires a CompoundTerm
    Deprecate Environment#getTextLoaderState() in favour of the identical
    Environment#getPrologTextLoaderState() function.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/vm/Environment.java

commit 7dfcfbf
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-10

    Comments and spelling corrections
    
    Quite a few TODOs to help with adding better debugging later.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/package-info.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java

commit 4d56b40
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-10

    Add tests on read_term
    
    Add some tests to the inria test suite to hopefully detect any bugs I
    introduce when I modify read_term to support char_conversion.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/PrologStream.java
test/inriasuite/inriasuite.pl
test/inriasuite/io/at_end_of_stream
test/inriasuite/io/char_conversion
test/inriasuite/io/read_term
test/inriasuite/io/read_term.pl
test/inriasuite/io/read_term_syntax_error.txt

commit 628fc2b
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-10

    Make runInitialization(Interpreter) reentrant
    
    This allows us to properly support the use of ensure_loaded(file)
    outside of the ISO directive context.
    
    To do this instead of using a boolean flag to store whether we have done
    it or not and then throwing an error if we are asked again we instead
    have a list of the initializations and clear the list when we have
    finished running them (so we don't run them again).
    
    This also required some fairly dangerous changes to Interpreter as
    ensure_loaded's runInitialization requires a new Goal to be set when one
    already exists. To get around this we save the current state, execute
    the new goal and when that finishes reset the state to the old state.
    (this is dangerous as it might lead to subtle bugs).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Module.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/io/Predicate_ensure_loaded.java

commit 10aca72
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-08

    Log errors during initialization and collect useful debug information
    
    Previously there was an empty catch clause in Environment which meant
    that when something went wrong it was hard to know what went wrong.
    
    While fixing that it was realised that it was hard to tell where errors
    generated using that came from and so more information was persisted in
    case it was needed later when the initialization is run to report
    errors.
    
    In the process of doing this I used Pair<L,R> which has subsequently
    been moved into the database package from demo.
    
    Fixes were applied to Predicate_ensure_loaded to make it display errors
    that occur during loading (to stderr) however there is a TODO: we need
    to do a runInitialization() inside Predicate_ensure_loaded and to do
    that we need to refactor Environment a bit first.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Pair.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/demo/mentalarithmetic/Pair.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/buildins/io/Predicate_ensure_loaded.java

commit 3c8b842
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-08

    Correct handling of :- unknown to :- initiaization(unknown).
    
    An unnecessary additional initizlization() was being added which meant
    that it did not work.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoader.java

commit 633d5a4
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-07

    Add some TODOs and fix some spelling in comments
    
    git is also doing some line ending magic.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/ext.debug.pro
src/gnu/prolog/vm/buildins/io/Predicate_ensure_loaded.java

commit 3cd75de
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-07

    Add tests of at_end_of_file
    
    Import the tests mainly from the vanilla suite as the inria suite is
    much nicer to work with. Now all the failing tests in the vanilla suite
    are incorporated into the inria suite and so the vanilla suite can be
    ignored during day-to-day development and only checked during
    pre-release testing.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/inriasuite.pl
test/inriasuite/io/at_end_of_stream

commit 184fe33
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-05

    Make the inriasuite more flexible and add some IO tests
    
    Add a test for char_conversion and in the process make inriasuite more
    modular by adding support for test files which depend on include files.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/current_predicate
test/inriasuite/inriasuite.pl
test/inriasuite/io/char_conversion
test/inriasuite/io/char_conversion.pl

commit f3f37ee
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-05

    Add support for the use of ensure_loaded outside of directives
    
    ensure_loaded can now be used anywhere any other predicate can be used
    rather than just in the case of a directive (:-)
    
    This is rather useful and is required for the refactored tests which can depend on include files.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/io/Predicate_ensure_loaded.java

commit 4471ce3
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-05

    Tidy up inriasuite.pl and write which tests are run
    
    Write which tests are being run at the beginning of the output and make it easier to
    have a hierarchical file structure for the tests.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/inriasuite.pl

commit 839d4cd
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-05

    Corrections to vanilla tests
    
    In sec74 test_discontig was looking for the wrong results
    
    reordered test_eos in sec811 as the first part was failing and hiding
    the errors in the second part.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla/sec74.pl
test/vanilla/sec811.pl
test/vanilla/sec817.pl

commit 65723d3
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-05

    Add comments and fix spelling
    
    Add a TODO to TermParserUtils and Predicate_read_term
    
    In PrologStream.java fix the spelling of interpreter
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java

commit 93cf8af
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Sort the list of required flags in vanilla
    
    The list of required flags was unsorted while the list of implemented flags
    was sorted and this made comparision between the two lists difficult.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla/sec817.pl

commit 477ba2f
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Rename vanilla_stock to vanilla
    
    Now that the old vanilla directory has been removed we can remove the
    _stock from vanilla_stock as it is now irrelevant.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
test/vanilla/README
test/vanilla/als_v.pro
test/vanilla/als_v1.pl
test/vanilla/charfile.txt
test/vanilla/db.pl
test/vanilla/direct2.pl
test/vanilla/gnuprolog_v.pl
test/vanilla/gnuprologjava.pl
test/vanilla/include.pl
test/vanilla/notes
test/vanilla/sec74.pl
test/vanilla/sec78.pl
test/vanilla/sec810.pl
test/vanilla/sec811.pl
test/vanilla/sec812.pl
test/vanilla/sec813.pl
test/vanilla/sec814.pl
test/vanilla/sec815.pl
test/vanilla/sec816.pl
test/vanilla/sec817.pl
test/vanilla/sec82.pl
test/vanilla/sec83.pl
test/vanilla/sec84.pl
test/vanilla/sec85.pl
test/vanilla/sec86.pl
test/vanilla/sec87.pl
test/vanilla/sec88.pl
test/vanilla/sec89.pl
test/vanilla/sec91.pl
test/vanilla/sec92.pl
test/vanilla/sec93.pl
test/vanilla/sec94.pl
test/vanilla/termfile.txt
test/vanilla/utils_so.pl
test/vanilla/van1.pl
test/vanilla/vanilla.pl
test/vanilla_stock/README
test/vanilla_stock/als_v.pro
test/vanilla_stock/als_v1.pl
test/vanilla_stock/charfile.txt
test/vanilla_stock/db.pl
test/vanilla_stock/direct2.pl
test/vanilla_stock/gnuprolog_v.pl
test/vanilla_stock/gnuprologjava.pl
test/vanilla_stock/include.pl
test/vanilla_stock/notes
test/vanilla_stock/sec74.pl
test/vanilla_stock/sec78.pl
test/vanilla_stock/sec810.pl
test/vanilla_stock/sec811.pl
test/vanilla_stock/sec812.pl
test/vanilla_stock/sec813.pl
test/vanilla_stock/sec814.pl
test/vanilla_stock/sec815.pl
test/vanilla_stock/sec816.pl
test/vanilla_stock/sec817.pl
test/vanilla_stock/sec82.pl
test/vanilla_stock/sec83.pl
test/vanilla_stock/sec84.pl
test/vanilla_stock/sec85.pl
test/vanilla_stock/sec86.pl
test/vanilla_stock/sec87.pl
test/vanilla_stock/sec88.pl
test/vanilla_stock/sec89.pl
test/vanilla_stock/sec91.pl
test/vanilla_stock/sec92.pl
test/vanilla_stock/sec93.pl
test/vanilla_stock/sec94.pl
test/vanilla_stock/termfile.txt
test/vanilla_stock/utils_so.pl
test/vanilla_stock/van1.pl
test/vanilla_stock/vanilla.pl

commit 79c1c10
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Remove unused vanilla directory
    
    The vanilla directory has been superseded by the vanilla_stock directory
    and so the vanilla directory is superfluous.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla/README
test/vanilla/als_v.pro
test/vanilla/als_v1.pl
test/vanilla/calyp_v1.pl
test/vanilla/calypso_v.pl
test/vanilla/charconv.tmp
test/vanilla/charfile.txt
test/vanilla/db.pl
test/vanilla/direct2.pl
test/vanilla/gnuprolog.pl
test/vanilla/gsec74.pl
test/vanilla/gsec811.pl
test/vanilla/gsec817.pl
test/vanilla/include.pl
test/vanilla/sec74.pl
test/vanilla/sec78.pl
test/vanilla/sec810.pl
test/vanilla/sec811.pl
test/vanilla/sec812.pl
test/vanilla/sec813.pl
test/vanilla/sec814.pl
test/vanilla/sec815.pl
test/vanilla/sec816.pl
test/vanilla/sec817.pl
test/vanilla/sec82.pl
test/vanilla/sec83.pl
test/vanilla/sec84.pl
test/vanilla/sec85.pl
test/vanilla/sec86.pl
test/vanilla/sec87.pl
test/vanilla/sec88.pl
test/vanilla/sec89.pl
test/vanilla/sec91.pl
test/vanilla/sec92.pl
test/vanilla/sec93.pl
test/vanilla/sec94.pl
test/vanilla/termfile.txt
test/vanilla/utils_so.pl
test/vanilla/validn.txt
test/vanilla/van1.pl
test/vanilla/vanilla.pl

commit 41d594f
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Improve testing framework
    
    Add note of expected error from the vanilla tests.
    
    Make inriasuite say how many tests failed and use grep to then display
    this in the ant task so that the user can see at a glance whether they
    have made something worse or not.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
test/inriasuite/inriasuite.pl

commit 326cdb4
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Fix some of the inria tests
    
    Some of the inria tests were incorrect.
    
    atom_codes assumed that 1000 was not a representable character code but
    with UTF-8 this is no longer true.
    
    catch-and-throw tried to throw something which would not be caught but
    unfortunately the test harness has to catch it as part of the testing
    framework and so the correct system_error cannot be thrown as intended.
    the old test was moved to from_catc-and-throw. There was some sort of
    parser bug when it was included but commented out in catch-and-throw.
    (and we know that the parser needs fixing).
    
    current_predicate had some tests added based on the ISO standard.
    
    inria/delmemb was fixed as it was incorrect.
    
    sub_atom was not specifying the values of After and although they are
    not specified in the text in the standard they will be found by any
    compliant implementation.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/atom_codes
test/inriasuite/catch-and-throw
test/inriasuite/current_predicate
test/inriasuite/from_catch-and-throw
test/inriasuite/inria/delmemb
test/inriasuite/sub_atom
test/vanilla_stock/vanilla.pl

commit 05c4fca
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Throw the correct errors rather than FAILing
    
    In accordance with the inria tests (and the ISO standard) throw some
    errors when some bad things happen rather than simply returning FAIL.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java

commit df6d390
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Specify a sensible max arity
    
    We can't possibly (with current machines) assume that we can create a
    function with MAX_INT arguments. Instead make another gross assumption
    and assume that we can use one byte per argument and use all possible
    memory for that function.
    (the motivation for doing this may relate to making it pass one of the
    tests in the standard...)
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java

commit aa59917
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Add support for easy unit testing
    
    If a directive call using :- is made and the term following it does not
    match any of those specified in the ISO standard wrap it in an
    initialization/1 and process that as this is what other implementations
    do and it is very useful.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/PrologTextLoader.java

commit 9b83061
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Update comments add notes about using enums
    
    Also add a TODO to fix an error noticed by the inria tests which
    requires further investigation.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/Predicate.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/interpreter/IThrow.java

commit 444df0d
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Correctly use integer division in mentalarithmetic
    
    Was using / rather than //
    
    Also comment out unnecessary debug code.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/demo/mentalarithmetic/mentalarithmetic.pro

commit d52be22
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-02

    Fix vanilla test suite to halt correctly
    
    The vanilla test suite was exiting with a 7 in the case of successful
    execution. It now exits with a code 0 and so won't show up as an error.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla_stock/sec817.pl

commit 1b26383
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-01

    Moving to alpha release of 0.2.5 soon
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.settings/org.eclipse.jdt.ui.prefs
src/gnu/prolog/version.properties

commit 943c238
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-07-01

    Standards compliance sixes based on irina tests
    
    Also some spelling fixes and comments and TODO/EXTENSIONs added.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java

commit e4669cb
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-30

    Add ant target for irina test suite
    
    Also add append to the list of bultin predicates: for the moment we just
    define a prolog predicate to do this rather than finishing implementing
    it in java (which would run faster) because two lines of prolog is far
    faster to write :-).
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
src/gnu/prolog/vm/buildins/ext.list.pro
src/gnu/prolog/vm/buildins/list/Predicate_append.java

commit f2aa899
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-29

    Add some selftesting to the inria suite
    
    The inria suite lacks tests that check that it works and so I have added
    some.
    I also fixed some formatting and added a note of its reliance on
    append/3 and started extra/ to store tests on these extra predicates and
    inria to store tests on itself.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/inriasuite/README
test/inriasuite/bagof
test/inriasuite/catch-and-throw
test/inriasuite/extra/append
test/inriasuite/inria/already_appears
test/inriasuite/inria/delmemb
test/inriasuite/inria/vars_in_term
test/inriasuite/inriasuite.pl
test/inriasuite/number_codes
test/inriasuite/set_prolog_flag
test/inriasuite/t
test/inriasuite/template

commit 28ce5c0
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-27

    Add another testing suite: inriasuite
    
    On http://pauillac.inria.fr/~deransar/prolog/suites.html the source of the vanilla test suite there is also
    http://pauillac.inria.fr/~deransar/prolog/inriasuite.tar.gz and this commit adds that test suite as well.
    Hopefully if both test suites can be made to pass then we will have good integration testing.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
test/inriasuite/README
test/inriasuite/abolish
test/inriasuite/and
test/inriasuite/arg
test/inriasuite/arith_diff
test/inriasuite/arith_eq
test/inriasuite/arith_gt
test/inriasuite/arith_gt=
test/inriasuite/arith_lt
test/inriasuite/arith_lt=
test/inriasuite/asserta
test/inriasuite/assertz
test/inriasuite/atom
test/inriasuite/atom_chars
test/inriasuite/atom_codes
test/inriasuite/atom_concat
test/inriasuite/atom_length
test/inriasuite/atomic
test/inriasuite/bagof
test/inriasuite/call
test/inriasuite/catch-and-throw
test/inriasuite/char_code
test/inriasuite/clause
test/inriasuite/compound
test/inriasuite/copy_term
test/inriasuite/current_input
test/inriasuite/current_output
test/inriasuite/current_predicate
test/inriasuite/current_prolog_flag
test/inriasuite/cut
test/inriasuite/fail
test/inriasuite/file_manip
test/inriasuite/findall
test/inriasuite/float
test/inriasuite/functor
test/inriasuite/functor-bis
test/inriasuite/halt
test/inriasuite/if-then
test/inriasuite/if-then-else
test/inriasuite/inriasuite.obp
test/inriasuite/inriasuite.pl
test/inriasuite/integer
test/inriasuite/is
test/inriasuite/junk
test/inriasuite/nonvar
test/inriasuite/not_provable
test/inriasuite/not_unify
test/inriasuite/number
test/inriasuite/number_chars
test/inriasuite/number_codes
test/inriasuite/once
test/inriasuite/or
test/inriasuite/repeat
test/inriasuite/retract
test/inriasuite/set_prolog_flag
test/inriasuite/setof
test/inriasuite/sub_atom
test/inriasuite/t
test/inriasuite/t_foo.pl
test/inriasuite/term_diff
test/inriasuite/term_eq
test/inriasuite/term_gt
test/inriasuite/term_gt=
test/inriasuite/term_lt
test/inriasuite/term_lt=
test/inriasuite/true
test/inriasuite/unify

commit 603c4c1
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-27

    Make vanilla test suite log neater
    
    In order to make error failures in the log stand out better I havestandardised
    the line breaks so that this is clearer.
    There are other minor formatting changes in that.
    I also took the oppertunity to do some minor refactoring.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla_stock/sec74.pl
test/vanilla_stock/sec78.pl
test/vanilla_stock/sec810.pl
test/vanilla_stock/sec811.pl
test/vanilla_stock/sec812.pl
test/vanilla_stock/sec813.pl
test/vanilla_stock/sec814.pl
test/vanilla_stock/sec815.pl
test/vanilla_stock/sec816.pl
test/vanilla_stock/sec817.pl
test/vanilla_stock/sec82.pl
test/vanilla_stock/sec83.pl
test/vanilla_stock/sec84.pl
test/vanilla_stock/sec85.pl
test/vanilla_stock/sec86.pl
test/vanilla_stock/sec87.pl
test/vanilla_stock/sec88.pl
test/vanilla_stock/sec89.pl
test/vanilla_stock/sec91.pl
test/vanilla_stock/sec92.pl
test/vanilla_stock/sec93.pl
test/vanilla_stock/sec94.pl

commit 98a969f
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-27

    Add termfile.txt which was missed out
    
    Due to a overly inclusive svn:ignore this file was missed out of the svn dump file that the rest of
    vanilla_stock was created from.
    
    Adding it fixes an error in test/test.out
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla_stock/termfile.txt

commit 6965025
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Remove unneccessary output from the vanilla tests
    
    In order to make the output log more readable unecessary information is removed as it added nothing.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

test/vanilla/sec78.pl
test/vanilla_stock/sec78.pl
test/vanilla_stock/sec815.pl

commit 3ef8592
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Switch to LGPLv3 from LGPLv2
    
    At the request of Karl Berry as show here:
    https://savannah.gnu.org/task/?10423
    
    "
    Fri 11 Jun 2010 05:34:49 PM GMT, comment #4:
    Hi Dan, Pavan -- thanks. The license notices look ok. Please switch them
    to using GPLv3-or-later before you make a real release, ok? Feel free to
    write me at karl@gnu.org if any questions or problems.
    I approved the project. Happy hacking!
    karl
    "
    
    Consequently I am switching the copyright to LGPLv3 from LGPLv2.
    
    It should be noted here for posterity that I am not switching to GPLv3
    as requested. I disagree with:
    http://www.gnu.org/licenses/why-not-lgpl.html I don't care if
    proprietary developers use GNU Prolog for Java (though I doubt they
    will) I just want to make the world a better place.
    
    I also don't think I have the authority to make that change as
    Constantine has copyright on most of the files and so the agreement of
    Constantine would be required. Constantine is rather hard to contact.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
docs/COPYING.LIBRARY.txt
docs/COPYING.txt
docs/copyleft.txt
src/gnu/prolog/Version.java
src/gnu/prolog/database/AbstractPrologTextLoaderListener.java
src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateListener.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderListener.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/io/parser/TermParser.g
src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/AtomicTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/term/TermCloneContext.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/EnvInitializer.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologCodeListener.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologCollectionIterator.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologHalt.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/UndoData.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_setof.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_asserta.java
src/gnu/prolog/vm/buildins/database/Predicate_assertz.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/datetime/DateTimePrologCode.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_stamp.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_value.java
src/gnu/prolog/vm/buildins/datetime/Predicate_format_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_get_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_parse_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_stamp_date_time.java
src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospyall.java
src/gnu/prolog/vm/buildins/debug/Predicate_notrace.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/debug/Predicate_trace.java
src/gnu/prolog/vm/buildins/debug/Predicate_tracing.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_confirm.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_dialog.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_open.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_save.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_message.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_prompt.java
src/gnu/prolog/vm/buildins/dialogs/TermFileFilter.java
src/gnu/prolog/vm/buildins/ext.datetime.pro
src/gnu/prolog/vm/buildins/ext.debug.pro
src/gnu/prolog/vm/buildins/ext.dialogs.pro
src/gnu/prolog/vm/buildins/ext.java.pro
src/gnu/prolog/vm/buildins/ext.list.pro
src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/ext.uuid.pro
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/list/Predicate_is_list.java
src/gnu/prolog/vm/buildins/list/Predicate_length.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/list/Predicate_msort.java
src/gnu/prolog/vm/buildins/list/Predicate_predsort.java
src/gnu/prolog/vm/buildins/list/Predicate_sort.java
src/gnu/prolog/vm/buildins/misc/Predicate_compare.java
src/gnu/prolog/vm/buildins/misc/Predicate_current_functor.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/buildins/misc/Predicate_stacktrace.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid3.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid4.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_compare.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_variant.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_version.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/EnterBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExceptionHandlerInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryInstruction.java
src/gnu/prolog/vm/interpreter/Tracer.java
src/gnu/prolog/vm/interpreter/TracerEvent.java
src/gnu/prolog/vm/interpreter/TracerEventListener.java

commit c40c530
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Add draft of MentalArithmetic demo package
    
    This is another bit of work I did previously which I am now importing into this repository.
    
    The purpose of this is to demonstrate the use of the API. Unfortunately there are still bugs in it and so it
    doesn't actually work.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

.classpath
src/gnu/prolog/demo/mentalarithmetic/MentalArithmetic.java
src/gnu/prolog/demo/mentalarithmetic/NoAnswerException.java
src/gnu/prolog/demo/mentalarithmetic/Pair.java
src/gnu/prolog/demo/mentalarithmetic/mentalarithmetic.pro
src/gnu/prolog/demo/mentalarithmetic/package-info.java
src/gnu/prolog/demo/package-info.java

commit 4741af1
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Use VariableTerm rather than Term in generics for readOptions
    
    In all uses this is a VariableTerm and so by making the generic more specific we can avoid unneccesary casts.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java

commit b5ff39b
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Implement random/1 as defined in SWI-Prolog
    
    This commit adds support but not testing for this predicate.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/vm/Evaluate.java

commit 206a498
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Add toString() methods to Term objects
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/VariableTerm.java

commit 10f28df
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Fix spelling mistakes
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/io/parser/TermParser.g
src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParserConstants.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/interpreter/IPop.java

commit 4195836
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Add package-info.java files
    
    Some of these contain some package level documentation but most of them are still empty.
    Hopefully this will encourage me to write more package level documentation.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/database/package-info.java
src/gnu/prolog/gui/package-info.java
src/gnu/prolog/io/package-info.java
src/gnu/prolog/io/parser/package-info.java
src/gnu/prolog/package-info.java
src/gnu/prolog/term/package-info.java
src/gnu/prolog/test/package-info.java
src/gnu/prolog/vm/interpreter/package-info.java
src/gnu/prolog/vm/package-info.java

commit e4d1363
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Remove website from this version control
    
    The website is stored in a separate CVS repository on savannah and so an old version should
    not be stored here.
    Concequently we no longer need the commented out target in build.xml
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.xml
site/index.html

commit b00d107
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Fix warnings
    
    Add generics in GoalRunner
    Remove an unneccesary implements Serializable in AtomTerm
    Switch to default permission in VersionInternal to fix warning
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

src/gnu/prolog/Version.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/test/GoalRunner.java

commit d6cd041
Author: Daniel Thomas <drt24@srcf.ucam.org>
Date:   2010-06-26

    Tidy build files
    
    Remove reference to plugin.xml in build.properties as this file does not exist.
    
    Change project name in build.xml to gnuprologjava from gnuprolog to disambiguate from the
    GNU Prolog project.
    
    Use the project website http://www.gnu.org/software/gnuprologjava/ rather than the
    sourceforge site  which is no longer in use.
    
    Compile with Java 1.6 rather than Java 1.5
    Change comment to an echo so that the person running test-vanilla knows that they need to
    obey this instruction.
    
    Signed-off-by: Daniel Thomas <drt24@srcf.ucam.org>

build.properties
build.xml

commit b7785cf
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-22

    removed private and package protected elements (there is usually no good reason to use those levels).
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@91 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologCollectionIterator.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/interpreter/ExceptionHandlerInfo.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java

commit a12d185
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-11

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@90 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/PrologCollectionIterator.java

commit ca58450
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-11

    added text loader listener functionality
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@89 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/database/AbstractPrologTextLoaderListener.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderListener.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/vm/Environment.java

commit 3be237f
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-10

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@88 c6d13eaa-423a-49d0-8e1d-62509e1234ed

commit 74de218
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-10

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@87 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
plugin.xml
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/vm/EnvInitializer.java
src/gnu/prolog/vm/Environment.java

commit d20c190
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-09

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@86 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/version.properties

commit 704fd57
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-09

    added dialog predicates
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@85 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
build.properties
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/dialogs/Predicate_confirm.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_dialog.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_open.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_file_save.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_message.java
src/gnu/prolog/vm/buildins/dialogs/Predicate_prompt.java
src/gnu/prolog/vm/buildins/dialogs/TermFileFilter.java
src/gnu/prolog/vm/buildins/ext.dialogs.pro

commit ab8a157
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-08

    upcoming dialogs
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@84 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.dialogs.pro

commit 269509a
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-08

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@83 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.properties

commit 72ac24b
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-04

    fixed resizing bug
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@82 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/version.properties

commit f0b55f3
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-03

    fixed stack tracer
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@81 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/misc/Predicate_stacktrace.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit 0e40cab
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-09-03

    implemented uuid_version and uuid_variant
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@80 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.uuid.pro
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_variant.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_version.java

commit 27f7b8a
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-08-31

    - added uuid predicates
    - moved "reader" loading to gnuprolog
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@79 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/ext.uuid.pro
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid3.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid4.java
src/gnu/prolog/vm/buildins/uuid/Predicate_uuid_compare.java

commit fb6488c
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-08-24

    fixed a bug where the atom term was an empty string
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@78 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/TermWriter.java

commit 11d5231
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-08-10

    some QA fixes
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@77 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/vm/Environment.java

commit 5f86d14
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-08-10

    improved build script
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@76 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.classpath
build.xml

commit f96597a
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-08-10

    various changes due to "findbugs" results
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@75 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/io/parser/gen/ParseException.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_current_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/list/Predicate_predsort.java
src/gnu/prolog/vm/buildins/misc/Predicate_current_functor.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit bce3052
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-08-07

    removed discontinued datastore
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@74 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/vm/buildins/datastore/DataStore.java
src/gnu/prolog/vm/buildins/datastore/Predicate_append.java
src/gnu/prolog/vm/buildins/datastore/Predicate_get.java
src/gnu/prolog/vm/buildins/datastore/Predicate_remove.java
src/gnu/prolog/vm/buildins/datastore/Predicate_store.java
src/gnu/prolog/vm/buildins/ext.misc.pro

commit db7444a
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-30

    seriously messing around with version numbers and dependencies
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@73 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF

commit 03e7ad2
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-29

    updated version numbers
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@72 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/version.properties

commit af4b910
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-29

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@71 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/misc/Predicate_listing.java

commit 2a79e60
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-26

    reverted build files
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@70 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml

commit 215c459
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-26

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@69 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml

commit d6ff1dd
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-25

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@68 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/Module.java

commit aa7d6bf
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-24

    added predsort and compare
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@67 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.list.pro
src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/list/Predicate_msort.java
src/gnu/prolog/vm/buildins/list/Predicate_predsort.java
src/gnu/prolog/vm/buildins/list/Predicate_sort.java
src/gnu/prolog/vm/buildins/misc/Predicate_compare.java

commit ab0ed2c
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-23

    some sorting predicates
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@66 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/list/Predicate_msort.java
src/gnu/prolog/vm/buildins/list/Predicate_sort.java

commit 68c5834
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-23

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@65 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.list.pro

commit 743edd8
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-16

    bugfix in the length predicate
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@64 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/list/Predicate_length.java

commit ecff32d
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-15

    upgraded to groove 3.2.2
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@63 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.externalToolBuilders/gnuprologjava.launch

commit ab3bddc
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-15

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@62 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml

commit 8f21ac4
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-10

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@61 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
build.properties
plugin.xml

commit 29fb70f
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-08

    documentation fixes
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@60 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.misc.pro

commit 75034e5
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-04

    - allow printing of the original variable names
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@59 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/term/VariableTerm.java

commit f7905e9
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-04

    added current_functor/2 predicate
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@58 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/misc/Predicate_current_functor.java

commit c55a98e
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-06-02

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@57 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF

commit ce10314
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-29

    - fixed initialization of GrooveEnvironment
    - added initial DR wizard code
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@56 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/Environment.java

commit 835accd
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-29

    fix for loading the groove prolog resources in eclipse
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@55 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/vm/Environment.java

commit a25dddb
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-26

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@54 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.datetime.pro

commit 03844ab
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-26

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@53 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_value.java
src/gnu/prolog/vm/buildins/datetime/Predicate_format_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_parse_time.java

commit c068ffd
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-25

    better timezone handling in stamp_date_time (accepts numbers as timezone)
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@52 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_stamp.java
src/gnu/prolog/vm/buildins/datetime/Predicate_stamp_date_time.java

commit dfe2e0d
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-25

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@51 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/datetime/DateTimePrologCode.java
src/gnu/prolog/vm/buildins/datetime/Predicate_date_time_stamp.java
src/gnu/prolog/vm/buildins/datetime/Predicate_get_time.java
src/gnu/prolog/vm/buildins/datetime/Predicate_stamp_date_time.java
src/gnu/prolog/vm/buildins/ext.datetime.pro

commit 4b237f4
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-15

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@50 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/java/Predicate_java_classname.java
src/gnu/prolog/vm/buildins/java/Predicate_java_to_string.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java

commit 7c0349b
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-15

    code cleanup
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@49 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.settings/org.eclipse.jdt.ui.prefs
src/gnu/prolog/Version.java
src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateListener.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/io/parser/gen/CharStream.java
src/gnu/prolog/io/parser/gen/ParseError.java
src/gnu/prolog/io/parser/gen/ParseException.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/io/parser/gen/TermParserTokenManager.java
src/gnu/prolog/io/parser/gen/Token.java
src/gnu/prolog/io/parser/gen/TokenMgrError.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/AtomicTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/term/TermCloneContext.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologCodeListener.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologHalt.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/UndoData.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_setof.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_asserta.java
src/gnu/prolog/vm/buildins/database/Predicate_assertz.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/datastore/DataStore.java
src/gnu/prolog/vm/buildins/datastore/Predicate_append.java
src/gnu/prolog/vm/buildins/datastore/Predicate_get.java
src/gnu/prolog/vm/buildins/datastore/Predicate_remove.java
src/gnu/prolog/vm/buildins/datastore/Predicate_store.java
src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospyall.java
src/gnu/prolog/vm/buildins/debug/Predicate_notrace.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/debug/Predicate_trace.java
src/gnu/prolog/vm/buildins/debug/Predicate_tracing.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/java/Predicate_java_classname.java
src/gnu/prolog/vm/buildins/java/Predicate_java_to_string.java
src/gnu/prolog/vm/buildins/list/Predicate_is_list.java
src/gnu/prolog/vm/buildins/list/Predicate_length.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/buildins/misc/Predicate_stacktrace.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/EnterBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExceptionHandlerInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryInstruction.java
src/gnu/prolog/vm/interpreter/Tracer.java
src/gnu/prolog/vm/interpreter/TracerEvent.java
src/gnu/prolog/vm/interpreter/TracerEventListener.java

commit ac7a2e6
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-15

    code reformatting
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@48 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateListener.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/io/parser/gen/CharStream.java
src/gnu/prolog/io/parser/gen/ParseError.java
src/gnu/prolog/io/parser/gen/ParseException.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/io/parser/gen/TermParserConstants.java
src/gnu/prolog/io/parser/gen/TermParserTokenManager.java
src/gnu/prolog/io/parser/gen/Token.java
src/gnu/prolog/io/parser/gen/TokenMgrError.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/AtomicTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/term/TermCloneContext.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologCodeListener.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/UndoData.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_setof.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_asserta.java
src/gnu/prolog/vm/buildins/database/Predicate_assertz.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospyall.java
src/gnu/prolog/vm/buildins/debug/Predicate_notrace.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/debug/Predicate_trace.java
src/gnu/prolog/vm/buildins/debug/Predicate_tracing.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/java/Predicate_java_classname.java
src/gnu/prolog/vm/buildins/java/Predicate_java_to_string.java
src/gnu/prolog/vm/buildins/list/Predicate_length.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/EnterBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExceptionHandlerInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryInstruction.java
src/gnu/prolog/vm/interpreter/TracerEvent.java

commit 8217e22
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-15

    removed more duplicate constants
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@47 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/Predicate.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/Predicate_call.java

commit 1e9e7f4
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-14

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@46 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF
src/gnu/prolog/Version.java
src/gnu/prolog/version.properties
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/datastore/DataStore.java
src/gnu/prolog/vm/buildins/ext.misc.pro

commit a1bba89
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-14

    more refactoring of constants
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@45 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java

commit 1e2ffdb
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-13

    reduced number of constant atoms and tags
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@44 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/Predicate.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/list/Predicate_is_list.java
src/gnu/prolog/vm/buildins/list/Predicate_length.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/misc/Predicate_stacktrace.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/Predicate_call.java

commit f08ddbc
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-13

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@43 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/datastore/Predicate_store.java

commit 07428c8
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-12

    added stacktrace predicate
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@42 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/vm/buildins/misc/Predicate_stacktrace.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit ba3556a
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-05-12

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@41 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/vm/buildins/datastore/DataStore.java
src/gnu/prolog/vm/buildins/datastore/Predicate_append.java
src/gnu/prolog/vm/buildins/datastore/Predicate_get.java
src/gnu/prolog/vm/buildins/datastore/Predicate_remove.java
src/gnu/prolog/vm/buildins/datastore/Predicate_store.java
src/gnu/prolog/vm/buildins/ext.misc.pro

commit 1cc1205
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-04-29

    created edge/node improvements
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@40 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.misc.pro

commit 99c87a9
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-04-28

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@39 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/term/Term.java
src/gnu/prolog/vm/Interpreter.java

commit b0571fe
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-04-27

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@38 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/Version.java
src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospyall.java
src/gnu/prolog/vm/buildins/debug/Predicate_notrace.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/debug/Predicate_trace.java
src/gnu/prolog/vm/buildins/debug/Predicate_tracing.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/interpreter/Tracer.java
src/gnu/prolog/vm/interpreter/TracerEvent.java
src/gnu/prolog/vm/interpreter/TracerEventListener.java

commit 3f67253
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-04-24

    added some list predicates
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@37 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/ext.debug.pro
src/gnu/prolog/vm/buildins/ext.java.pro
src/gnu/prolog/vm/buildins/ext.list.pro
src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/list/Predicate_is_list.java
src/gnu/prolog/vm/buildins/list/Predicate_length.java
src/gnu/prolog/vm/buildins/list/Predicate_member.java
src/gnu/prolog/vm/buildins/misc/Predicate_member.java

commit a94c843
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-04-07

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@36 c6d13eaa-423a-49d0-8e1d-62509e1234ed

META-INF/MANIFEST.MF

commit f27247d
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-23

    made eclipse projects
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@35 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.classpath
.project
META-INF/MANIFEST.MF
build.properties

commit 7089c87
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-19

    improved parse error reporting a bit
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@34 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/io/TermReader.java

commit c6f92f0
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-17

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@33 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/Environment.java

commit 1b6a798
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-06

    member is now builtin
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@32 c6d13eaa-423a-49d0-8e1d-62509e1234ed

test/vanilla_stock/gnuprologjava.pl

commit 275d187
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-06

    capture stack overflows
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@31 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/Interpreter.java

commit 5b1916c
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-06

    fixed member predicate
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@30 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/misc/Predicate_member.java

commit 081ca77
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-05

    native member/2 implementation
    some additional groove predicates
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@29 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/misc/Predicate_member.java

commit 2a48220
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-05

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@28 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/version.properties

commit f86c801
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-05

    added version properties
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@27 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml
src/gnu/prolog/Version.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/version.properties
src/gnu/prolog/vm/Environment.java

commit 27e0264
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-04

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@26 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml
changes.txt

commit fd5b7b5
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-03

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@25 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/Environment.java

commit 4d2bb6c
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-03

    various small adjustments
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@24 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/Predicate_call.java

commit bf21d7d
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-03

    passed the vanilla tests
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@23 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/io/CharConversionTable.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/io/Predicate_char_conversion.java
src/gnu/prolog/vm/buildins/io/Predicate_current_char_conversion.java
test/vanilla.cmd
test/vanilla_stock/README
test/vanilla_stock/als_v.pro
test/vanilla_stock/als_v1.pl
test/vanilla_stock/charfile.txt
test/vanilla_stock/db.pl
test/vanilla_stock/direct2.pl
test/vanilla_stock/gnuprolog_v.pl
test/vanilla_stock/gnuprologjava.pl
test/vanilla_stock/include.pl
test/vanilla_stock/notes
test/vanilla_stock/sec74.pl
test/vanilla_stock/sec78.pl
test/vanilla_stock/sec810.pl
test/vanilla_stock/sec811.pl
test/vanilla_stock/sec812.pl
test/vanilla_stock/sec813.pl
test/vanilla_stock/sec814.pl
test/vanilla_stock/sec815.pl
test/vanilla_stock/sec816.pl
test/vanilla_stock/sec817.pl
test/vanilla_stock/sec82.pl
test/vanilla_stock/sec83.pl
test/vanilla_stock/sec84.pl
test/vanilla_stock/sec85.pl
test/vanilla_stock/sec86.pl
test/vanilla_stock/sec87.pl
test/vanilla_stock/sec88.pl
test/vanilla_stock/sec89.pl
test/vanilla_stock/sec91.pl
test/vanilla_stock/sec92.pl
test/vanilla_stock/sec93.pl
test/vanilla_stock/sec94.pl
test/vanilla_stock/utils_so.pl
test/vanilla_stock/van1.pl
test/vanilla_stock/vanilla.pl

commit 20d576c
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-03

    more compliance fixes
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@22 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java

commit 9b2f603
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-03

    various fixes in code style and ISO compliance
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@21 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologHalt.java
src/gnu/prolog/vm/RandomAccessFileReader.java
src/gnu/prolog/vm/RandomAccessFileWriter.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/Predicate_call.java

commit 3987a4f
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-02

    error in the test
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@20 c6d13eaa-423a-49d0-8e1d-62509e1234ed

test/vanilla/sec810.pl

commit 03751da
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-02

    java code cleanup (to java 5)
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@19 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.settings/org.eclipse.jdt.core.prefs
.settings/org.eclipse.jdt.ui.prefs
src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/io/parser/gen/TermParserTokenManager.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/AtomicTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/term/TermCloneContext.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_setof.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_asserta.java
src/gnu/prolog/vm/buildins/database/Predicate_assertz.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/EnterBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryInstruction.java
src/gnu/prolog/vm/interpreter/TracerEvent.java

commit c34a4b2
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-02

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@18 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.settings/org.eclipse.jdt.core.prefs
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit 83f1906
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-03-02

    - added java_to_string, java_classname, listing predicates
    - introduces tracer event listeners
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@17 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/ext.java.pro
src/gnu/prolog/vm/buildins/ext.misc.pro
src/gnu/prolog/vm/buildins/java/Predicate_java_classname.java
src/gnu/prolog/vm/buildins/java/Predicate_java_to_string.java
src/gnu/prolog/vm/buildins/misc/Predicate_listing.java
src/gnu/prolog/vm/interpreter/Tracer.java
src/gnu/prolog/vm/interpreter/TracerEvent.java
src/gnu/prolog/vm/interpreter/TracerEventListener.java

commit f825b0b
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-27

    added trace reporting through debugging/0
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@16 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/debug/Predicate_debugging.java
src/gnu/prolog/vm/buildins/ext.debug.pro
src/gnu/prolog/vm/interpreter/Tracer.java

commit a29ebc5
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-27

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@15 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/ext.debug.pro
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit a69308e
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-27

    moved the extension to a separate .pro file
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@14 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/ext.debug.pro

commit d922611
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-27

    resolve .pl/.pro on file names
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@13 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/vm/buildins/buildins.pro

commit 77d1827
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-27

    - added tracing functionality
    - added output redirection
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@12 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/debug/Predicate_nospy.java
src/gnu/prolog/vm/buildins/debug/Predicate_nospyall.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit 8259511
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-26

    adding trace functionality
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@11 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.settings/org.eclipse.jdt.core.prefs
.settings/org.eclipse.jdt.ui.prefs
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/debug/Predicate_notrace.java
src/gnu/prolog/vm/buildins/debug/Predicate_spy.java
src/gnu/prolog/vm/buildins/debug/Predicate_trace.java
src/gnu/prolog/vm/buildins/debug/Predicate_tracing.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/Tracer.java

commit 62a8393
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-20

    parser fix, stop looping when the EOF has been reached
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@10 c6d13eaa-423a-49d0-8e1d-62509e1234ed

src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/gen/TermParser.java

commit 0bcd065
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-20

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@9 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.externalToolBuilders/GnuProlog.launch
.externalToolBuilders/gnuprologjava.launch
.project

commit 863179b
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-20

    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@8 c6d13eaa-423a-49d0-8e1d-62509e1234ed

commit 89918a5
Author: elmuerte <elmuerte@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2009-02-20

    - converted into an eclipse project
    - various fixed and changes to gnuprologjava
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@7 c6d13eaa-423a-49d0-8e1d-62509e1234ed

.classpath
.externalToolBuilders/GnuProlog.launch
.project
.settings/org.eclipse.jdt.core.prefs
.settings/org.eclipse.jdt.ui.prefs
build.xml
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_asserta.java
src/gnu/prolog/vm/buildins/database/Predicate_assertz.java

commit e838e03
Author: const <const@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2000-11-12

    build.xml were updated
    
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@6 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml
changes.txt

commit 2fddf12
Author: const <const@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2000-11-12

    trying to clean up things
    
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@5 c6d13eaa-423a-49d0-8e1d-62509e1234ed

test/vanilla/byteio.tmp
test/vanilla/chario.tmp
test/vanilla/codeio.tmp
test/vanilla/opfile.tmp
test/vanilla/out.tmp
test/vanilla/outchar.txt
test/vanilla/peekbyte.bin
test/vanilla/peekchar.txt
test/vanilla/peekfile.bin
test/vanilla/peekfile.txt
test/vanilla/termio.tmp
test/vanilla/validn.out

commit 75acab1
Author: const <const@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2000-11-12

    trying to clean up things
    
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@4 c6d13eaa-423a-49d0-8e1d-62509e1234ed

test/vanilla/.sec810.pl.swp
test/vanilla/validn.out

commit 50db634
Author: const <const@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2000-11-12

    -once argument was added
    
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@3 c6d13eaa-423a-49d0-8e1d-62509e1234ed

changes.txt
src/gnu/prolog/test/GoalRunner.java

commit f2c1db0
Author: const <const@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2000-11-12

    file fixed
    
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@2 c6d13eaa-423a-49d0-8e1d-62509e1234ed

test/suite.cmd

commit ec9c23e
Author: const <const@c6d13eaa-423a-49d0-8e1d-62509e1234ed>
Date:   2000-11-12

    Initial CVS release
    
    
    git-svn-id: file:///home/daniel/dev/gnuprolog/gnuprolog-mod.plaster.svn@1 c6d13eaa-423a-49d0-8e1d-62509e1234ed

build.xml
docs/append.txt
docs/copyleft.txt
docs/readme.txt
manifest.mf
package-list
site/index.html
src/gnu/prolog/database/Module.java
src/gnu/prolog/database/Predicate.java
src/gnu/prolog/database/PredicateListener.java
src/gnu/prolog/database/PredicateUpdatedEvent.java
src/gnu/prolog/database/PrologTextLoader.java
src/gnu/prolog/database/PrologTextLoaderError.java
src/gnu/prolog/database/PrologTextLoaderState.java
src/gnu/prolog/gui/Runner.java
src/gnu/prolog/io/Operator.java
src/gnu/prolog/io/OperatorSet.java
src/gnu/prolog/io/ParseException.java
src/gnu/prolog/io/ReadOptions.java
src/gnu/prolog/io/TermReader.java
src/gnu/prolog/io/TermWriter.java
src/gnu/prolog/io/WriteOptions.java
src/gnu/prolog/io/parser/NameToken.java
src/gnu/prolog/io/parser/ReaderCharStream.java
src/gnu/prolog/io/parser/TermParser.g
src/gnu/prolog/io/parser/TermParser.jj
src/gnu/prolog/io/parser/TermParserUtils.java
src/gnu/prolog/io/parser/gen/CharStream.java
src/gnu/prolog/io/parser/gen/ParseError.java
src/gnu/prolog/io/parser/gen/ParseException.java
src/gnu/prolog/io/parser/gen/TermParser.java
src/gnu/prolog/io/parser/gen/TermParserConstants.java
src/gnu/prolog/io/parser/gen/TermParserTokenManager.java
src/gnu/prolog/io/parser/gen/Token.java
src/gnu/prolog/io/parser/gen/TokenMgrError.java
src/gnu/prolog/term/AtomTerm.java
src/gnu/prolog/term/AtomicTerm.java
src/gnu/prolog/term/CompoundTerm.java
src/gnu/prolog/term/CompoundTermTag.java
src/gnu/prolog/term/FloatTerm.java
src/gnu/prolog/term/IntegerTerm.java
src/gnu/prolog/term/JavaObjectTerm.java
src/gnu/prolog/term/Term.java
src/gnu/prolog/term/TermCloneContext.java
src/gnu/prolog/term/TermComparator.java
src/gnu/prolog/term/TermUtils.java
src/gnu/prolog/term/VariableTerm.java
src/gnu/prolog/test/CodeDumper.java
src/gnu/prolog/test/GoalRunner.java
src/gnu/prolog/vm/BacktrackInfo.java
src/gnu/prolog/vm/BinaryPrologStream.java
src/gnu/prolog/vm/Environment.java
src/gnu/prolog/vm/Evaluate.java
src/gnu/prolog/vm/Interpreter.java
src/gnu/prolog/vm/PrologCode.java
src/gnu/prolog/vm/PrologCodeListener.java
src/gnu/prolog/vm/PrologCodeUpdatedEvent.java
src/gnu/prolog/vm/PrologException.java
src/gnu/prolog/vm/PrologStream.java
src/gnu/prolog/vm/TermConstants.java
src/gnu/prolog/vm/TextInputPrologStream.java
src/gnu/prolog/vm/TextOutputPrologStream.java
src/gnu/prolog/vm/UndefinedPredicateCode.java
src/gnu/prolog/vm/UndoData.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_bagof.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_findall.java
src/gnu/prolog/vm/buildins/allsolutions/Predicate_setof.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_greater_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_is.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_less_than_or_equal.java
src/gnu/prolog/vm/buildins/arithmetics/Predicate_not_equal.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_concat.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_atom_length.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_char_code.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_chars.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_number_codes.java
src/gnu/prolog/vm/buildins/atomicterms/Predicate_sub_atom.java
src/gnu/prolog/vm/buildins/buildins.pro
src/gnu/prolog/vm/buildins/database/Predicate_abolish.java
src/gnu/prolog/vm/buildins/database/Predicate_assert.java
src/gnu/prolog/vm/buildins/database/Predicate_asserta.java
src/gnu/prolog/vm/buildins/database/Predicate_assertz.java
src/gnu/prolog/vm/buildins/database/Predicate_clause.java
src/gnu/prolog/vm/buildins/database/Predicate_current_predicate.java
src/gnu/prolog/vm/buildins/database/Predicate_retract.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_current_prolog_flag.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_halt.java
src/gnu/prolog/vm/buildins/imphooks/Predicate_set_prolog_flag.java
src/gnu/prolog/vm/buildins/io/Predicate_at_end_of_stream.java
src/gnu/prolog/vm/buildins/io/Predicate_close.java
src/gnu/prolog/vm/buildins/io/Predicate_current_input.java
src/gnu/prolog/vm/buildins/io/Predicate_current_op.java
src/gnu/prolog/vm/buildins/io/Predicate_current_output.java
src/gnu/prolog/vm/buildins/io/Predicate_flush_output.java
src/gnu/prolog/vm/buildins/io/Predicate_get_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_get_char.java
src/gnu/prolog/vm/buildins/io/Predicate_op.java
src/gnu/prolog/vm/buildins/io/Predicate_open.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_peek_char.java
src/gnu/prolog/vm/buildins/io/Predicate_put_byte.java
src/gnu/prolog/vm/buildins/io/Predicate_put_char.java
src/gnu/prolog/vm/buildins/io/Predicate_read_term.java
src/gnu/prolog/vm/buildins/io/Predicate_set_input.java
src/gnu/prolog/vm/buildins/io/Predicate_set_output.java
src/gnu/prolog/vm/buildins/io/Predicate_set_stream_position.java
src/gnu/prolog/vm/buildins/io/Predicate_stream_property.java
src/gnu/prolog/vm/buildins/io/Predicate_write_term.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_greater_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_identical.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_less_then_or_equal.java
src/gnu/prolog/vm/buildins/termcomparsion/Predicate_term_not_identical.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_arg.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_copy_term.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_functor.java
src/gnu/prolog/vm/buildins/termcreation/Predicate_univ.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atom.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_atomic.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_compound.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_float.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_integer.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_java_object.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_nonvar.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_number.java
src/gnu/prolog/vm/buildins/typetesting/Predicate_var.java
src/gnu/prolog/vm/buildins/unification/Predicate_not_unifiable.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify.java
src/gnu/prolog/vm/buildins/unification/Predicate_unify_with_occurs_check.java
src/gnu/prolog/vm/interpreter/CallBacktrackInfo.java
src/gnu/prolog/vm/interpreter/EnterBacktrackInfo.java
src/gnu/prolog/vm/interpreter/ExceptionHandlerInfo.java
src/gnu/prolog/vm/interpreter/ExecutionState.java
src/gnu/prolog/vm/interpreter/IAllocate.java
src/gnu/prolog/vm/interpreter/ICall.java
src/gnu/prolog/vm/interpreter/ICreateCompoundTerm.java
src/gnu/prolog/vm/interpreter/ICreateVariable.java
src/gnu/prolog/vm/interpreter/ICut.java
src/gnu/prolog/vm/interpreter/IDup.java
src/gnu/prolog/vm/interpreter/IFail.java
src/gnu/prolog/vm/interpreter/IJump.java
src/gnu/prolog/vm/interpreter/IPop.java
src/gnu/prolog/vm/interpreter/IPushArgument.java
src/gnu/prolog/vm/interpreter/IPushConstant.java
src/gnu/prolog/vm/interpreter/IPushEnvironment.java
src/gnu/prolog/vm/interpreter/IRestoreState.java
src/gnu/prolog/vm/interpreter/IRetryMeElse.java
src/gnu/prolog/vm/interpreter/IReturn.java
src/gnu/prolog/vm/interpreter/ISaveCut.java
src/gnu/prolog/vm/interpreter/ISaveState.java
src/gnu/prolog/vm/interpreter/IStoreEnvironment.java
src/gnu/prolog/vm/interpreter/IThrow.java
src/gnu/prolog/vm/interpreter/ITrue.java
src/gnu/prolog/vm/interpreter/ITrustMe.java
src/gnu/prolog/vm/interpreter/ITryMeElse.java
src/gnu/prolog/vm/interpreter/IUnify.java
src/gnu/prolog/vm/interpreter/Instruction.java
src/gnu/prolog/vm/interpreter/InterpretedByteCode.java
src/gnu/prolog/vm/interpreter/InterpretedCode.java
src/gnu/prolog/vm/interpreter/InterpretedCodeCompiler.java
src/gnu/prolog/vm/interpreter/LeaveBacktrackInfo.java
src/gnu/prolog/vm/interpreter/LeaveByteCodeBacktrackInfo.java
src/gnu/prolog/vm/interpreter/Predicate_call.java
src/gnu/prolog/vm/interpreter/RetryBacktrackInfo.java
src/gnu/prolog/vm/interpreter/RetryInstruction.java
test/suite.cmd
test/vanilla/.sec810.pl.swp
test/vanilla/README
test/vanilla/als_v.pro
test/vanilla/als_v1.pl
test/vanilla/byteio.tmp
test/vanilla/calyp_v1.pl
test/vanilla/calypso_v.pl
test/vanilla/charconv.tmp
test/vanilla/charfile.txt
test/vanilla/chario.tmp
test/vanilla/codeio.tmp
test/vanilla/db.pl
test/vanilla/direct2.pl
test/vanilla/gnuprolog.pl
test/vanilla/gsec74.pl
test/vanilla/gsec811.pl
test/vanilla/gsec817.pl
test/vanilla/include.pl
test/vanilla/opfile.tmp
test/vanilla/out.tmp
test/vanilla/outchar.txt
test/vanilla/peekbyte.bin
test/vanilla/peekchar.txt
test/vanilla/peekfile.bin
test/vanilla/peekfile.txt
test/vanilla/sec74.pl
test/vanilla/sec78.pl
test/vanilla/sec810.pl
test/vanilla/sec811.pl
test/vanilla/sec812.pl
test/vanilla/sec813.pl
test/vanilla/sec814.pl
test/vanilla/sec815.pl
test/vanilla/sec816.pl
test/vanilla/sec817.pl
test/vanilla/sec82.pl
test/vanilla/sec83.pl
test/vanilla/sec84.pl
test/vanilla/sec85.pl
test/vanilla/sec86.pl
test/vanilla/sec87.pl
test/vanilla/sec88.pl
test/vanilla/sec89.pl
test/vanilla/sec91.pl
test/vanilla/sec92.pl
test/vanilla/sec93.pl
test/vanilla/sec94.pl
test/vanilla/termfile.txt
test/vanilla/termio.tmp
test/vanilla/utils_so.pl
test/vanilla/validn.out
test/vanilla/validn.txt
test/vanilla/van1.pl
test/vanilla/vanilla.pl
